Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] glyphy, libpipewire0.2: make devel depend on main package
@ 2021-02-22 20:36 Chocimier
  2021-02-22 21:36 ` pullmoll
                   ` (2 more replies)
  0 siblings, 3 replies; 4+ messages in thread
From: Chocimier @ 2021-02-22 20:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1503 bytes --]

There is a new pull request by Chocimier against master on the void-packages repository

https://github.com/Chocimier/void-packages-org devel
https://github.com/void-linux/void-packages/pull/28986

glyphy, libpipewire0.2: make devel depend on main package
<!-- Mark items with [x] where applicable -->

#### Have the results of the proposed changes been tested?
glyphy-devel is used by libreoffice, which seemed to be build without glyphy.
libpipewire0.2-devel is used by chromium. No idea if change will affect anything here.

One more package with that issue is gnunet, which will be updated separately.
<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28986.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-devel-28986.patch --]
[-- Type: text/x-diff, Size: 1981 bytes --]

From 6324c94ee575742772a67c19666d274f588a678e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 22 Feb 2021 21:32:29 +0100
Subject: [PATCH 1/2] glyphy: make devel depend on main package

---
 srcpkgs/glyphy/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glyphy/template b/srcpkgs/glyphy/template
index e63e3ca5c59..15079905c59 100644
--- a/srcpkgs/glyphy/template
+++ b/srcpkgs/glyphy/template
@@ -1,7 +1,7 @@
 # Template file for 'glyphy'
 pkgname=glyphy
 version=0.0.20190307
-revision=1
+revision=2
 _gitrev=bc2da506d23bdaf3eb0d95c9649a4591b4d912c7
 wrksrc="${pkgname}-${_gitrev}"
 build_style=gnu-configure
@@ -24,7 +24,7 @@ post_configure() {
 
 glyphy-devel_package() {
 	short_desc+=" - development files"
-	depends="${pkgname}>=${version}_${revision}"
+	depends="${sourcepkg}>=${version}_${revision}"
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/*.so

From fddcb64adeed62c3b4571edfba30cb864fdc0eb3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 22 Feb 2021 21:32:30 +0100
Subject: [PATCH 2/2] libpipewire0.2: make devel depend on main package

---
 srcpkgs/libpipewire0.2/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/libpipewire0.2/template b/srcpkgs/libpipewire0.2/template
index 88a6666d9df..9537adb4b37 100644
--- a/srcpkgs/libpipewire0.2/template
+++ b/srcpkgs/libpipewire0.2/template
@@ -1,7 +1,7 @@
 # Template file for 'libpipewire0.2'
 pkgname=libpipewire0.2
 version=0.2.7
-revision=1
+revision=2
 wrksrc=pipewire-${version}
 build_style=meson
 configure_args="-Dgstreamer=disabled -Ddocs=false -Dsystemd=false"
@@ -26,7 +26,7 @@ post_install() {
 }
 
 libpipewire0.2-devel_package() {
-	depends="${pkgname}-${version}_${revision}"
+	depends="${sourcepkg}-${version}_${revision}"
 	short_desc+=" - pipewire and libspa development files"
 	pkg_install() {
 		vmove usr/include

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: glyphy, libpipewire0.2: make devel depend on main package
  2021-02-22 20:36 [PR PATCH] glyphy, libpipewire0.2: make devel depend on main package Chocimier
@ 2021-02-22 21:36 ` pullmoll
  2021-02-22 21:38 ` pullmoll
  2021-02-23 17:34 ` [PR PATCH] [Merged]: " Chocimier
  2 siblings, 0 replies; 4+ messages in thread
From: pullmoll @ 2021-02-22 21:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 208 bytes --]

New comment by pullmoll on void-packages repository

https://github.com/void-linux/void-packages/pull/28986#issuecomment-783691170

Comment:
There is at least one more: `gnunet-devel_package()` has it wrong.

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: glyphy, libpipewire0.2: make devel depend on main package
  2021-02-22 20:36 [PR PATCH] glyphy, libpipewire0.2: make devel depend on main package Chocimier
  2021-02-22 21:36 ` pullmoll
@ 2021-02-22 21:38 ` pullmoll
  2021-02-23 17:34 ` [PR PATCH] [Merged]: " Chocimier
  2 siblings, 0 replies; 4+ messages in thread
From: pullmoll @ 2021-02-22 21:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 208 bytes --]

New comment by pullmoll on void-packages repository

https://github.com/void-linux/void-packages/pull/28986#issuecomment-783691170

Comment:
There is at least one more: `gnunet-devel_package()` has it wrong.

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PR PATCH] [Merged]: glyphy, libpipewire0.2: make devel depend on main package
  2021-02-22 20:36 [PR PATCH] glyphy, libpipewire0.2: make devel depend on main package Chocimier
  2021-02-22 21:36 ` pullmoll
  2021-02-22 21:38 ` pullmoll
@ 2021-02-23 17:34 ` Chocimier
  2 siblings, 0 replies; 4+ messages in thread
From: Chocimier @ 2021-02-23 17:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1346 bytes --]

There's a merged pull request on the void-packages repository

glyphy, libpipewire0.2: make devel depend on main package
https://github.com/void-linux/void-packages/pull/28986

Description:
<!-- Mark items with [x] where applicable -->

#### Have the results of the proposed changes been tested?
glyphy-devel is used by libreoffice, which seemed to be build without glyphy.
libpipewire0.2-devel is used by chromium. No idea if change will affect anything here.

One more package with that issue is gnunet, which will be updated separately.
<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-02-23 17:34 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-22 20:36 [PR PATCH] glyphy, libpipewire0.2: make devel depend on main package Chocimier
2021-02-22 21:36 ` pullmoll
2021-02-22 21:38 ` pullmoll
2021-02-23 17:34 ` [PR PATCH] [Merged]: " Chocimier

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git